# README

BouyomiChan for Mastodon(仮)

テキスト読み上げソフト「棒読みちゃん」を使用してMastodonのタイムラインを読み上げるソフトです。


# 動作環境

* Windows 7以上, 2GB以上のメモリ(推奨)
* 棒読みちゃん0.11以上
* Javaランタイム Version 8以上
* WebSocketが使えるネットワーク
  * ルータやファイアーウォールでWebSocketが通る必要があります
  * 該当MastodonサーバでStreaming API(WebSocket)が使える必要があります


# 導入

1. Java SEのランタイムをインストールしてください
  * https://java.com/ja/download/
2. 棒読みちゃんをインストールしてください
  * http://chi.usamimi.info/Program/Application/BouyomiChan/
  * 適当なディレクトリにアーカイブファイルを展開してください
3. 棒読みちゃん for Mastodonをインストールしてください
  * https://cappuccino.jp/keisuken/software/bouyomichan4mastodon/BouyomiChan4Mastodon-0.1.0.zip
  * 適当なディレクトリにアーカイブファイルを展開してください


# 起動

1. 棒読みちゃんを起動してください
  * BouyomiChan.exe を起動
2. BouyomiChan for Mastodonを起動してください
  * local.bat または public.bat を起動
  * local.bat: ローカルタイムライン
  * public.bat: 連合タイムライン
  * 初めての場合は、Mastodonやアカウントの情報を入力してください
    * ホストURL(例): https://mastodon.example.com
    * E-Mail(例): foo@example.com
    * パスワード(例): fooboobuzz
    * 入力済みの場合は問い合わせしません


# 停止

* 棒読みちゃん for Mastodonのコマンドプロンプト上で、キーボードでCTRL-Cして停止してください。


# 設定をクリア

* config-clear.batを起動します
* Mastodonのホスト名やE-Mail、パスワードを変更する時に行います。
  * Mastodonやアカウントの情報を間違えたり、他のMastodonの設定に切り替えたりする場合に使用します


# FAQ

* GUIは用意していないのですか?
  * 今のところ考えていません
* 棒読みちゃんのPlugin形式での提供はしないのですか?
  * 将来のバージョンで対応を考えています
* 棒読みちゃんを自動的に起動しないのですか?
  * 次のバージョンで対応を考えています


# 著作者

* 西本 圭佑 (NISHIMOTO Keisuke)
* @keisuke_n (Twitter)


# ライセンス

LICENSE.txt をお読みください。
